GEGELATI

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
Mutator::RNG Class Reference

`#include <rng.h>`

## Public Member Functions
| RNG (uint64_t seed=0)
| Default seeding constructor for RNG.
| RNG (const RNG &other)
| Copy constructor.
void | setSeed (uint64_t seed)
| Set the seed of the random number generator.
uint64_t | getUnsignedInt64 (uint64_t min, uint64_t max)
| Get a pseudo random int number between two bounds (included).
int32_t | getInt32 (int32_t min, int32_t max)
| Get a pseudo random int number between two bounds (included).
double | getDouble (double min, double max)
| Get a pseudo random double number between two bounds (included).

## Protected Attributes
std::unique_ptr< std::mt19937_64 > | engine
| Mersenne twister MT19937 engine used for Random Number generation.

## Detailed Description

Class containing the (pseudo) Random Number Generator facilities to be used in the TPG framework.

This class currently provides a wrapper around the mt19937_64 engine and all methods generating random numbers adopt a uniform distribution.

## Constructor & Destructor Documentation

## ◆ RNG() [1/2]

Mutator::RNG::RNG | ( | uint64_t | seed = 0 | ) |
| inline

Default seeding constructor for RNG.

Parameters

  [in] | seed | the seed for the engine.

## ◆ RNG() [2/2]

Mutator::RNG::RNG | ( | const RNG & | other | ) |
| inline

Copy constructor.

The copy constructor does a deep copy.

Parameters

  [in] | other | the RNG to copy.

## Member Function Documentation

## ◆ getDouble()

double Mutator::RNG::getDouble | ( | double | min,
|  | double | max )

Get a pseudo random double number between two bounds (included).

Parameters

  [in] | min | the lower bound.
  [in] | max | the upper bound.

Returns
  an uniformely selected value between min and max includes.

## ◆ getInt32()

int32_t Mutator::RNG::getInt32 | ( | int32_t | min,
|  | int32_t | max )

Get a pseudo random int number between two bounds (included).

Parameters

  [in] | min | the lower bound.
  [in] | max | the upper bound.

Returns
  an uniformely selected value between min and max includes.

## ◆ getUnsignedInt64()

uint64_t Mutator::RNG::getUnsignedInt64 | ( | uint64_t | min,
|  | uint64_t | max )

Get a pseudo random int number between two bounds (included).

Parameters

  [in] | min | the lower bound.
  [in] | max | the upper bound.

Returns
  an uniformely selected value between min and max includes.

## ◆ setSeed()

void Mutator::RNG::setSeed | ( | uint64_t | seed | ) |

Set the seed of the random number generator.

Parameters

  [in] | seed | integer value for generating random numbers.

Copyright or © or Copr. IETR/INSA - Rennes (2019 - 2021) :

Karol Desnos kdesn.nosp@m.os@i.nosp@m.nsa-r.nosp@m.enne.nosp@m.s.fr (2019 - 2021)

GEGELATI is an open-source reinforcement learning framework for training artificial intelligence based on Tangled Program Graphs (TPGs).

This software is governed by the CeCILL-C license under French law and abiding by the rules of distribution of free software. You can use, modify and/ or redistribute the software under the terms of the CeCILL-C license as circulated by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".

As a counterpart to the access to the source code and rights to copy, modify and redistribute granted by the license, users are provided only with a limited warranty and the software's author, the holder of the economic rights, and the successive licensors have only limited liability.

In this respect, the user's attention is drawn to the risks associated with loading, using, modifying and/or developing or reproducing the software by the user in light of its specific status of free software, that may mean that it is complicated to manipulate, and that also therefore means that it is reserved for developers and experienced professionals having in-depth computer knowledge. Users are therefore encouraged to load and test the software's suitability as regards their requirements in conditions enabling the security of their systems and/or data to be ensured and, more generally, to use and operate it in the same conditions as regards security.

The fact that you are presently reading this means that you have had knowledge of the CeCILL-C license and that you accept its terms.

The documentation for this class was generated from the following files:

- D:/a/gegelati/gegelati/gegelatilib/include/mutator/rng.h
- D:/a/gegelati/gegelati/gegelatilib/src/mutator/rng.cpp